Bug 209223 - Upgrading kernel on Centrino-based laptop leads to extremely loud system beeps
Upgrading kernel on Centrino-based laptop leads to extremely loud system beeps
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-03 17:41 EDT by Dave Malcolm
Modified: 2015-01-04 17:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-06 20:47:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Malcolm 2006-10-03 17:41:35 EDT
Description of problem:
I'm using an HP Pavilion dv1000, a Centrino-based laptop

Booting into kernel-2.6.16-1.2252_FC6 I get no system beeps and happy coworkers
Booting into kernel-2.6.18-1.2724.fc6 I get extremely loud system beeps, and
have to use "xset b off" (after my heart-rate goes back to a reasonable rate,
and my coworkers stop yelling at me).

With the noisy kernel I have this:
/sbin/lsmod | grep snd
snd_intel8x0           37349  1 
snd_intel8x0m          21845  0 
snd_ac97_codec         98553  2 snd_intel8x0,snd_intel8x0m
snd_ac97_bus            6721  1 snd_ac97_codec
snd_seq_dummy           8133  0 
snd_seq_oss            38353  0 
snd_seq_midi_event     11977  1 snd_seq_oss
snd_seq                58393  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
snd_seq_device         13013  3 snd_seq_dummy,snd_seq_oss,snd_seq
snd_pcm_oss            47073  0 
snd_mixer_oss          20937  1 snd_pcm_oss
snd_pcm                81901  4
snd_intel8x0,snd_intel8x0m,snd_ac97_codec,snd_pcm_oss
snd_timer              27613  2 snd_seq,snd_pcm
snd                    58757  12
snd_intel8x0,snd_intel8x0m,snd_ac97_codec,snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer
soundcore              14241  1 snd
snd_page_alloc         14537  3 snd_intel8x0,snd_intel8x0m,snd_pcm

Ideas for tracking this down further are welcome.
Comment 1 Dave Jones 2006-10-04 19:56:44 EDT
is pcspkr.ko being loaded on both kernels ?

Note You need to log in before you can comment on or make changes to this bug.